Skip to main content
GET
/
api
/
calls
/
phone
/
{phoneNumber}
Get call data by phone number
curl --request GET \
  --url https://api.getstrada.com/api/calls/phone/{phoneNumber} \
  --header 'Authorization: Bearer <token>'
{
  "data": {},
  "ttl": 123,
  "latestCall": {
    "callId": "<string>",
    "agentId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "campaignName": "<string>",
    "startedAt": "2023-11-07T05:31:56Z",
    "recordingUrl": "<string>",
    "endedAt": "2023-11-07T05:31:56Z",
    "customerNumber": "<string>",
    "endedReason": "<string>",
    "summary": "<string>",
    "analysis": {},
    "transcript": [
      {
        "message": "<string>",
        "secondsFromStart": 123,
        "time": "<string>",
        "endTime": "<string>",
        "duration": 123,
        "name": "<string>",
        "result": {},
        "toolCall": {}
      }
    ],
    "url": "<string>",
    "callVariables": {},
    "phoneNumber": "<string>",
    "campaignParentCallIds": [
      "<string>"
    ],
    "transferDestination": "<string>"
  }
}
Pull call data written during a call via Set Call Session Data (data + ttlSeconds, default 180). Only returned while the TTL is active.
curl https://api.getstrada.com/api/calls/phone/+15551234567 \
  -H "Authorization: Bearer $YOUR_API_KEY"

Authorizations

Authorization
string
header
required

API Key authentication

Path Parameters

phoneNumber
string
required

Caller phone number in any common format (normalized to E.164)

Response

Successfully retrieved call data

Call data with TTL, plus linked call record.

data
object

Key-value data from Set Call Session Data, or null if expired

ttl
integer | null

Seconds until data expires

latestCall
object

Linked call record, or null